FROM williamyeh/ansible:alpine3-onbuild

RUN mkdir -p /root/.ssh/
COPY akaunting-ec2-key.pem /root/.ssh/akaunting-ec2-key.pem
COPY ssh-config /root/.ssh/config

COPY hosts /etc/ansible/hosts

WORKDIR /tmp

COPY setup-files/nginx.conf /tmp
# workaround for a docker bug https://github.com/moby/moby/issues/36573 https://stackoverflow.com/a/62409523
RUN true
COPY setup-files/start-akaunting-with-required-env-vars.sh /tmp
RUN true
COPY setup-files/cloudwatch-agent-configs.json /tmp
COPY setup-files/cloudwatch-agent-configs-default.json /tmp
RUN true
COPY setup-files/certbot-renewal.service /tmp
COPY setup-files/certbot-renewal.timer /tmp
RUN true
COPY playbook.yml /tmp

RUN ANSIBLE_HOST_KEY_CHECKING=False ansible-playbook playbook.yml --sudo -v
